# 更新数据

现有 employee 表如下：

```postgresql
create table employee
(
    id serial primary key,
    name text,
    dept text,
    salary money
);
```

我们希望修改销售部(dept 字段为 sale)员工 Dora Muk 的工资，将其增加 1000，返回她的工号。正确的修改语句是：

## 答案

```postgresql
update employee set salary = salary + 1000 where dept = 'sale' and name = 'Dora Muk' returning id;
```

## 选项

### 过滤条件不严谨

```postgresql
update employee set salary = salary + 1000 where name = 'Dora Muk' returning id;
```

### 没有返回员工id

```postgresql
update employee set salary = salary + 1000 where dept = 'sale' and name = 'Dora Muk';
```


### 缺少过滤条件

```postgresql
update employee set salary = salary + 1000 returning id;
```

### 错误的赋值语句

```postgresql
update employee set salary += 1000 returning id;
```

