# 匹配

表 book 的 meta 有类似如下结构：

```json
{
  "author": [
    "Mars Liu",
    "Milly Lee"
  ],
  "ISBN": "xxxx-xxxx-xxxxxx",
  "version": 1
}
```

该字段有 gist 索引。

如果我们想高效率的找到所有作者包含 Jim Gray 的书，应该如何查询？

## 答案

```postgresql
select * from book where meta @> '{"author": ["Jim Gray"]}'::jsonb;
```

## 选项

### A

```postgresql
select * from book where meta @> '["Jim Gray"]'::jsonb;
```

### A

```postgresql
select * from book where 'Jim Gray' in meta;
```

### B

```postgresql
select * from book where meta::text like '%Jim Gray%'; 
```

### C

```postgresql
select * from book having meta @> 'Jim Gray'
```

### D

```postgresql
select * from book where 'Jim Gray' in (meta #>> 'author');
```
