# 标签

现有一个表 sku:

```postgresql
create table sku(
    id serial primary key ,
    name text,
    meta jsonb default '{}'::jsonb,
    tags jsonb default '[]'::jsonb
)
```

我们希望查找包含所有给定tag的商品，那么查询应该是：

## 答案

```postgresql
select id, name, meta, tags from sku where tags @> $1;
```

## 选项

### A

```postgresql
select id, name, meta, tags from sku where tags = $1;
```

### B

```postgresql
select id, name, meta, tags from sku where tags::text = $1;
```

### C

```postgresql
select id, name, meta, tags from sku where $1 in tags;
```

### D

```postgresql
select id, name, meta, tags from sku where tags in $1;
```
